Subject: Re: [MSEC] Review comments, was RE: GDOI support for IEC 62351

From: Brian Weis <[email-masked]>
Date: Mon, 5 May 2014 09:08:36 -0700

Hi Bill & Sandy,

Thanks for this discussion. Because we so often pronounce "SPI" as "spy" I didn't even consider the case that someone might pronounce "es" "pea" "eye"! As Sandy points out, the RFC Editor will make the final decision.

Brian

On Apr 30, 2014, at 10:22 AM, William Atwood <[email-masked]> wrote:

> Sandy,
> 
> You have it completely right.
> 
> The classic examples of this are the need to say "a AAA" and "a AAAA",
> because "AAA" is pronounced (by the IETF community) as "Triple A", and
> "AAAA" is pronounced as "Quad A".
> 
>  Bill
> 
> On 30/04/2014 12:29 PM, Sandra Murphy wrote:
>> 
>> On Apr 30, 2014, at 9:50 AM, Brian Weis <[email-masked]> wrote:
>> 
>>> Hi Vincent,
>>> 
>>> Many thanks for your review. I've addressed them, with some notes inline.
>>> 
>>> On Mar 3, 2014, at 10:27 AM, Vincent Roca <[email-masked]> wrote:
>>> 
>>>> 
>>>> ** typo:
>>>> represents a SPI => represents an SPI
>>>>                               ^^
>>>> (there are many occurrences of "a SPI", is it volontary?)
>>> 
>>> I double checked with some sources, and the general rule (at least for American English) is "a" before a consonant, and "an" before a vowel. There are a few special rules but "a before s" does not seem to be one of them.
>>> 
>> 
>> This is probably an RFC Editor question, but the many references online say the difference is whether the following word starts with a vowel *sound*, not whether it is spelled with an initial vowel or consonant.
>> 
>> https://owl.english.purdue.edu/owl/resource/591/01/
>> The choice of article is actually based upon the phonetic (sound) quality of the first letter in a word, not on the orthographic (written) representation of the letter. If the first letter makes a vowel-type sound, you use "an"; if the first letter would make a consonant-type sound, you use "a."
>> 
>> http://www.quickanddirtytips.com/education/grammar/a-versus-an?page=all
>> The rule is  that you use a before words that start with a consonant sound and an before words that start with a vowel sound (1)<<ref to Faigley, L. The Little Penguin Handbook. New York: Pearson Education. 2007, p. 255.>>
>> 
>> There are also references to what to do before acronym - the difference is whether people ordinarily say the acronym by spelling out the acronym (FTP == "ef" "tea" "pea") or trying to pronounce it as a word (NAT == "nat").
>> 
>> http://blog.apastyle.org/apastyle/2012/04/using-a-or-an-with-acronyms-and-abbreviations.html
>> http://www.chicagomanualofstyle.org/qanda/data/faq/topics/Abbreviations.html?old=Abbreviations_questions01.html
>> http://andromeda.rutgers.edu/~jlynch/Writing/a.html
>> 
>> So it depends on whether the community says "spy" when encountering SPI, or "es" "pea" "eye".
>> 
>> And this nifty video, explaining the sound vs spelling distinction and also the Old English origins of the a/an distinction.
>> 
>> http://www.merriam-webster.com/video/0029-an.htm
>> 
>> --Sandy
>> 
>> _______________________________________________
>> MSEC mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/msec
>> 
> 
> -- 
> Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
> Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
> Department of Computer Science
>   and Software Engineering
> Concordia University EV 3.185     email:[email-masked]
> 1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
> Montreal, Quebec Canada H3G 1M8
> 
> _______________________________________________
> MSEC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/msec

-- 
Brian Weis
Security, Enterprise Networking Group, Cisco Systems
Telephone: +1 408 526 4796
Email: [email-masked]